function tstat = ptvj_spottest(dX_pre,dX_post)
% implement spot vol based jump test
% note that there is no need to normalize by deltan for computing the tstat
c_pre = mean(dX_pre.^2);
c_post = mean(dX_post.^2);
kn_pre = length(dX_pre);
kn_post = length(dX_post);

% if length(dXpost)~=kn
%     error('Length not same')
% end
% avar = 2 * (cminus^2 + cplus^2);

avar = 2*(c_pre^2/kn_pre + c_post^2/kn_post);
tstat = (c_post-c_pre)/sqrt(avar);